Bug 152216 - Monitor on Dell D600 is not recognized
Monitor on Dell D600 is not recognized
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: hwdata (Show other bugs)
3.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-26 10:32 EST by Dmitri Varsanofiev
Modified: 2014-03-16 22:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 18:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
As requested the X log (34.25 KB, text/plain)
2005-03-28 21:12 EST, Dmitri Varsanofiev
no flags Details

  None (edit)
Description Dmitri Varsanofiev 2005-03-26 10:32:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Monitor on the Dell D600 laptop is not recognized.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHEL on Dell D600 laptop
2. Installer does not recognize the monitor


Actual Results:  Generic monitor with resolution 800x600 is selected

Expected Results:  Monitor is capable of 1400x1050 resolution and should be detected.

Additional info:
Comment 1 Jeremy Katz 2005-03-28 14:07:15 EST
Can you provide the X log?  Unfortunately, LCDs are not generally probe-able
with the VBE probing we use and we have to essentially grep through the X log
for magic strings.
Comment 2 Dmitri Varsanofiev 2005-03-28 21:12:55 EST
Created attachment 112408 [details]
As requested the X log

Hope this is what you need.
Comment 3 David Duffey 2005-04-25 15:23:10 EDT
I fixed this on my D600 by running "ddcprobe" to find out what the EISA id was.

On my D600, which has a 1400x1050 display, this was "SEC3450"

I then edited /usr/share/hwdata/MonitorsDB, and changed this line:

Dell; Dell 1400x1050 Laptop Display Panel; 0; 31.5-90.0; 59.0-75.0; 1

to this:

Dell; Dell 1400x1050 Laptop Display Panel; SEC3450; 31.5-90.0; 59.0-75.0; 1

by replacing the "0" with "SEC3450".

system-config-display now correctly detects my D600 screen.

Not all D600s have the 1400x1050 screen though, so You'll want to run ddcprobe
to find out what you have.  The X log is useful to see what the bios reports as
the capability (1400 by your log).

I also didn't know if you would be more appropriate to create a new line (copy
and paste) to leave the original "0" entry, or to modify the existing line as I
did.  I'll leave that up to the package maintainer.

QDS0005 is another EISA id that is used on a D600 laptop display.  It is
1024x768, it works with the generic "Dell 1024x768 laptop display" that it
already in the monitor db file.
Comment 5 Bill Nottingham 2005-09-27 17:19:30 EDT
Hm, I wonder if all the displays really match that (i.e., all Dell 1400x1050 are
SEC3450, or if it's just that D600 display.)
Comment 6 David Duffey 2005-09-27 17:59:27 EDT
I wouldn't be surprised if they change suppliers of a 1400x1050 display that
would report a different id.

For now, it probably wouldn't hurt to change the one or two lines that we know
of that currently are "null."  If someone else comes along with a new id#, then
we'll  need to worry about duplicating entries and/or allowing multiple id#s per
line.
Comment 7 Bill Nottingham 2005-09-27 18:04:45 EDT
Added in CVS.

This problem will be resolved in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.